<?php   
                    use Elementor\Utils;
                    use Elementor\Controls_Manager;
                    use Elementor\Widget_Base;
                    use Elementor\Plugin;
                    use \Elementor\Repeater;
                                        
                    class About_Us_Three extends Widget_Base {
                    
                        public function get_name() {
                        return 'about_us_three';
                    }
                    
                    public function get_title() {
                        return esc_html__( 'about us three', 'plugin-domain' );
                    }
                    
                    public function get_icon() {
                        return 'fa fa-bicycle';
                    }
                    
                    public function get_categories() {
                        return [ 'plugin-domain' ];
                    }
                    
                        protected function _register_controls() {
                
                
                    $this->start_controls_section(
                        'general',
                        [
                        'label' => esc_html__( 'general', 'plugin-domain' ),
                        ]
                    );
                    
    
            $this->add_control(
                'title',
                [
                        'label' => esc_html__( 'Title', 'plugin-domain' ),
                        'type' => Controls_Manager::TEXTAREA,
                        'rows' => 0,
                        'default' => __( '', 'plugin-domain' ),
                        'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),
                        
                    ]
                );
    
    
            $this->add_control(
                'sub_title',
                [
                        'label' => esc_html__( 'Sub Title', 'plugin-domain' ),
                        'type' => Controls_Manager::TEXTAREA,
                        'rows' => 0,
                        'default' => __( '', 'plugin-domain' ),
                        'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),
                        
                    ]
                );
    
    
            $this->add_control(
                'content',
                [
                        'label' => esc_html__( 'Content', 'plugin-domain' ),
                        'type' => Controls_Manager::TEXTAREA,
                        'rows' => 0,
                        'default' => __( '', 'plugin-domain' ),
                        'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),
                        
                    ]
                );
    
    
            $this->add_control(
                'mega_content',
                [
                        'label' => esc_html__( 'Mega Content', 'plugin-domain' ),
                        'type' => Controls_Manager::TEXTAREA,
                        'rows' => 0,
                        'default' => __( '', 'plugin-domain' ),
                        'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),
                        
                    ]
                );
    
    
            $this->add_control(
                'button_text',
                [
                        'label' => esc_html__( 'Button Text', 'plugin-domain' ),
                        'type' => Controls_Manager::TEXTAREA,
                        'rows' => 0,
                        'default' => __( '', 'plugin-domain' ),
                        'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),
                        
                    ]
                );
    
    
            $this->add_control(
                'button_link',
                [
                        'label' => esc_html__( 'Button Link', 'plugin-domain' ),
                        'type' => Controls_Manager::TEXTAREA,
                        'rows' => 0,
                        'default' => __( '', 'plugin-domain' ),
                        'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),
                        
                    ]
                );
    
                $this->add_control(
                    'image_left',
                    [
                    'label' => esc_html__( 'Image Left', 'plugin-domain' ),
                    'type' => Controls_Manager::MEDIA,
                    'default' => [
                                'url' => Utils::get_placeholder_image_src(),
                            ],
                    
                    ]
                );
                
                $this->add_control(
                    'image_right',
                    [
                    'label' => esc_html__( 'Image Right', 'plugin-domain' ),
                    'type' => Controls_Manager::MEDIA,
                    'default' => [
                                'url' => Utils::get_placeholder_image_src(),
                            ],
                    
                    ]
                );
                
            
                    $this->end_controls_section();
                    
                    }
        protected function render() {
          $settings =  $this->get_settings_for_display();$title = $settings["title"];$sub_title = $settings["sub_title"];$content = $settings["content"];$mega_content = $settings["mega_content"];$button_text = $settings["button_text"];$button_link = $settings["button_link"];$image_left = ($settings[ "image_left"]["id"]!="")? wp_get_attachment_image_url( $settings["image_left"]["id"],"full"):$settings[ "image_left"]["url"];	if ( ! empty( $image_left) ) {
                        $this->add_render_attribute( "image_left", "src", $image_left );
                        $this->add_render_attribute( "image_left", "alt", \Elementor\Control_Media::get_image_alt( $settings["image_left"] ) );
                        $this->add_render_attribute( "image_left", "title", \Elementor\Control_Media::get_image_title( $settings["image_left"] ) );
                        $image_left_image_html = \Elementor\Group_Control_Image_Size::get_attachment_image_html( $settings, "full", "image_left" );
                        
                    }$image_left_id = $settings[ "image_left"]["id"];$image_right = ($settings[ "image_right"]["id"]!="")? wp_get_attachment_image_url( $settings["image_right"]["id"],"full"):$settings[ "image_right"]["url"];	if ( ! empty( $image_right) ) {
                        $this->add_render_attribute( "image_right", "src", $image_right );
                        $this->add_render_attribute( "image_right", "alt", \Elementor\Control_Media::get_image_alt( $settings["image_right"] ) );
                        $this->add_render_attribute( "image_right", "title", \Elementor\Control_Media::get_image_title( $settings["image_right"] ) );
                        $image_right_image_html = \Elementor\Group_Control_Image_Size::get_attachment_image_html( $settings, "full", "image_right" );
                        
                    }$image_right_id = $settings[ "image_right"]["id"]; ?> <section class="about-style-two centred sec-pad">
        <div class="anim-icon">
            <div class="icon icon-1 wow zoomIn animated"></div>
        </div>
        <div class="container">
            <div class="inner-box">
                <div class="title-box">
                    <div class="sec-title">
                        <h5><?php echo $title; ?></h5>
                        <h1><?php echo $sub_title; ?></h1>
                    </div>
                    <div class="text"><?php echo $content; ?></div>
                </div>
                <div class="image-inner">
                    <div class="row">
                        <div class="col-lg-6 col-md-6 col-sm-12 image-column">
                            <figure class="image-box"><img src="<?php echo $image_left; ?>" alt=""></figure>
                        </div>
                        <div class="col-lg-6 col-md-6 col-sm-12 image-column">
                            <figure class="image-box"><img src="<?php echo $image_right; ?>" alt=""></figure>
                        </div>
                    </div>
                </div>
                <div class="lower-content">
                    <div class="text">
                        <p><?php echo $mega_content; ?></p>
                    </div>
                    <div class="btn-box"><a href="<?php echo $button_link; ?>" class="theme-btn"><?php echo $button_text; ?></a></div>
                </div>
            </div>
        </div>
    </section> <?php 
        }
      
        protected function _content_template() {
          
        }
      }
    
      Plugin::instance()->widgets_manager->register_widget_type( new \About_Us_Three() );
    
    