<?php   
                    use Elementor\Utils;
                    use Elementor\Controls_Manager;
                    use Elementor\Widget_Base;
                    use Elementor\Plugin;
                    use \Elementor\Repeater;
                                        
                    class Benefits_Two extends Widget_Base {
                    
                        public function get_name() {
                        return 'benefits_two';
                    }
                    
                    public function get_title() {
                        return esc_html__( 'benefits two', 'plugin-domain' );
                    }
                    
                    public function get_icon() {
                        return 'fa fa-assistive-listening-systems';
                    }
                    
                    public function get_categories() {
                        return [ 'plugin-domain' ];
                    }
                    
                        protected function _register_controls() {
                
                
                    $this->start_controls_section(
                        'general',
                        [
                        'label' => esc_html__( 'general', 'plugin-domain' ),
                        ]
                    );
                    
    
            $this->add_control(
                'titles',
                [
                        'label' => esc_html__( 'Title', 'plugin-domain' ),
                        'type' => Controls_Manager::TEXTAREA,
                        'rows' => 0,
                        'default' => __( '', 'plugin-domain' ),
                        'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),
                        
                    ]
                );
    
    
            $this->add_control(
                'sub_title',
                [
                        'label' => esc_html__( 'Sub Title', 'plugin-domain' ),
                        'type' => Controls_Manager::TEXTAREA,
                        'rows' => 0,
                        'default' => __( '', 'plugin-domain' ),
                        'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),
                        
                    ]
                );
    
            
                    $this->end_controls_section();
                    
                    
                
                    $this->start_controls_section(
                        'item',
                        [
                        'label' => esc_html__( 'item', 'plugin-domain' ),
                        ]
                    );
                    
						$repeater = new Repeater();
					
    
            $repeater->add_control(
                'item_title',
                [
                        'label' => esc_html__( 'Title', 'plugin-domain' ),
                        'type' => Controls_Manager::TEXTAREA,
                        'rows' => 0,
                        'default' => __( '', 'plugin-domain' ),
                        'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),
                        
                    ]
                );
    
    
            $repeater->add_control(
                'item_title_link',
                [
                        'label' => esc_html__( 'Title Link', 'plugin-domain' ),
                        'type' => Controls_Manager::TEXTAREA,
                        'rows' => 0,
                        'default' => __( '', 'plugin-domain' ),
                        'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),
                        
                    ]
                );
    
            
                $repeater->add_control(
                    'item_icon',
                    [
                    'label' => esc_html__( 'Icon', 'plugin-domain' ),
                    'type' => Controls_Manager::ICONS,                        
                    ]
                );
                

                    $this->add_control(
                    'items',
                    [
                        'label' => esc_html__( 'Repeater List', 'plugin-domain' ),
                        'type' => Controls_Manager::REPEATER,
                        'fields' => $repeater->get_controls(),
                        'default' => [
                        [
                            'list_title' => esc_html__( 'Title #1', 'plugin-domain' ),
                            'list_content' => esc_html__( 'Item content. Click the edit button to change this text.', 'plugin-domain' ),
                        ],
                        [
                            'list_title' => esc_html__( 'Title #2', 'plugin-domain' ),
                            'list_content' => esc_html__( 'Item content. Click the edit button to change this text.', 'plugin-domain' ),
                        ],
                        ],
                    ]
                    );
                    
            
                    $this->end_controls_section();
                    
                    }
        protected function render() {
          $settings =  $this->get_settings_for_display();$titles = $settings["titles"];$sub_title = $settings["sub_title"]; ?> <section class="offer-section sec-pad centred">
  <div class="anim-icon">
    <div class="icon icon-1"></div>
  </div>
  <div class="container">
    <div class="sec-title">
      <h5><?php echo $titles; ?></h5>
      <h1><?php echo $sub_title; ?></h1>
    </div>
    <div class="row">
       <?php 
                                    $i = 1;
                                    foreach($settings["items"] as $item){$item_title = $item["item_title"];$item_title_link = $item["item_title_link"];$item_icon = $item["item_icon"]; ?> <div class="col-lg-3 col-md-6 col-sm-12 block-column">
  <div class="single-offer-block wow fadeInUp" data-wow-delay="0ms" data-wow-duration="1500ms">
    <div class="icon-box"><?php \Elementor\Icons_Manager::render_icon( ( $item_icon), array( 'aria-hidden' => 'true' ) ); ?></div>
    <h3><a href="<?php echo $item_title_link; ?>"><?php echo $item_title; ?></a></h3>
  </div>
</div> <?php } ?> 
    </div>
  </div>
</section> <?php 
        }
      
        protected function _content_template() {
          
        }
      }
    
      Plugin::instance()->widgets_manager->register_widget_type( new \Benefits_Two() );
    
    