<?php   
                    use Elementor\Utils;
                    use Elementor\Controls_Manager;
                    use Elementor\Widget_Base;
                    use Elementor\Plugin;
                    use \Elementor\Repeater;
                                        
                    class Get_In_Touch extends Widget_Base {
                    
                        public function get_name() {
                        return 'get_in_touch';
                    }
                    
                    public function get_title() {
                        return esc_html__( 'Get in Touch', '' );
                    }
                    
                    public function get_icon() {
                        return '';
                    }
                    
                    public function get_categories() {
                        return [ '' ];
                    }
                    
                        protected function _register_controls() {
                
                
                    $this->start_controls_section(
                        'general',
                        [
                        'label' => esc_html__( 'general', '' ),
                        ]
                    );
                    
    
            $this->add_control(
                'title',
                [
                        'label' => esc_html__( 'Title', '' ),
                        'type' => Controls_Manager::TEXTAREA,
                        'rows' => 0,
                        'default' => __( '', 'plugin-domain' ),
                        'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),
                        
                    ]
                );
    
    
            $this->add_control(
                'sub_content',
                [
                        'label' => esc_html__( 'Sub Content', '' ),
                        'type' => Controls_Manager::TEXTAREA,
                        'rows' => 0,
                        'default' => __( '', 'plugin-domain' ),
                        'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),
                        
                    ]
                );
    
    
            $this->add_control(
                'main_content',
                [
                        'label' => esc_html__( 'Main Content', '' ),
                        'type' => Controls_Manager::TEXTAREA,
                        'rows' => 0,
                        'default' => __( '', 'plugin-domain' ),
                        'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),
                        
                    ]
                );
    
            
                    $this->end_controls_section();
                    
                    }
        protected function render() {
          $settings =  $this->get_settings_for_display();$title = $settings["title"];$sub_content = $settings["sub_content"];$main_content = $settings["main_content"]; ?> <div class="contact-widget footer-widget">
                                <h3 class="widget-title"><?php echo $title; ?></h3>
                                <div class="widget-content">
                                    <div class="text"><?php echo $sub_content; ?></div>
                                    <ul class="info-list">
                                       <?php echo $main_content; ?>
                                    </ul>
                                </div>
                            </div> <?php 
        }
      
        protected function _content_template() {
            ?>
            
            <?php
        }
      }
    
      Plugin::instance()->widgets_manager->register_widget_type( new \Get_In_Touch() );
    
    