<?php   
                    use Elementor\Utils;
                    use Elementor\Controls_Manager;
                    use Elementor\Widget_Base;
                    use Elementor\Plugin;
                    use \Elementor\Repeater;
                                        
                    class Testmonial_And_Faq extends Widget_Base {
                    
                        public function get_name() {
                        return 'testmonial_and_faq';
                    }
                    
                    public function get_title() {
                        return esc_html__( 'testmonial and faq', 'plugin-domain' );
                    }
                    
                    public function get_icon() {
                        return 'fa fa-barcode';
                    }
                    
                    public function get_categories() {
                        return [ 'plugin-domain' ];
                    }
                    
                        protected function _register_controls() {
                
                
                    $this->start_controls_section(
                        'general',
                        [
                        'label' => esc_html__( 'general', 'plugin-domain' ),
                        ]
                    );
                    
            
                $this->add_control(
                    'elemento_template_left',
                    array(
                        'label'   => esc_html__( 'price template', 'plugin-domain' ),
                        'type'    => \Elementor\Controls_Manager::SELECT,
                        'default' => 'no',
                        'options' => kidko_core_elementor_library(),
                    )
                );
                $this->add_control(
                    'elemento_template_right',
                    array(
                        'label'   => esc_html__( 'price template', 'plugin-domain' ),
                        'type'    => \Elementor\Controls_Manager::SELECT,
                        'default' => 'no',
                        'options' => kidko_core_elementor_library(),
                    )
                );
                
            
                    $this->end_controls_section();
                    
                    }
        protected function render() {
          $settings =  $this->get_settings_for_display();$elemento_template_left = $settings["elemento_template_left"];$elemento_template_right = $settings["elemento_template_right"]; ?> <section class="testimonial-faq">
        <div class="anim-icon">
            <div class="icon icon-1"></div>
        </div>
        <div class="container">
            <div class="row">
                <div class="col-lg-6 col-md-12 col-sm-12 testimonial-column">
                    <?php
                        $elemento_template_left_ini = \Elementor\Plugin::instance();
                        echo $elemento_template_left_ini->frontend->get_builder_content($elemento_template_left);
                    ?>
                </div>
                <div class="col-lg-6 col-md-12 col-sm-12 faq-column">
                    <?php
                        $elemento_template_right_ini = \Elementor\Plugin::instance();
                        echo $elemento_template_right_ini->frontend->get_builder_content($elemento_template_right);
                    ?>
                </div>
            </div>
        </div>
    </section> <?php 
        }
      
        protected function _content_template() {
          
        }
      }
    
      Plugin::instance()->widgets_manager->register_widget_type( new \Testmonial_And_Faq() );
    
    