<?php   
                    use Elementor\Utils;
                    use Elementor\Controls_Manager;
                    use Elementor\Widget_Base;
                    use Elementor\Plugin;
                    use \Elementor\Repeater;
                                        
                    class Useful_Link extends Widget_Base {
                    
                        public function get_name() {
                        return 'useful_link';
                    }
                    
                    public function get_title() {
                        return esc_html__( 'Useful Link', '' );
                    }
                    
                    public function get_icon() {
                        return '';
                    }
                    
                    public function get_categories() {
                        return [ '' ];
                    }
                    
                        protected function _register_controls() {
                
                
                    $this->start_controls_section(
                        'general',
                        [
                        'label' => esc_html__( 'general', '' ),
                        ]
                    );
                    
            
                    $this->add_control(
                        'titles',
                        [
                        'label' => esc_html__( 'Title', '' ),
                        'type' => Controls_Manager::TEXT,
                        'default' => __( '', '' ),
                        ]
                    );
                    
            
                    $this->end_controls_section();
                    
                    
                
                    $this->start_controls_section(
                        'item',
                        [
                        'label' => esc_html__( 'item', '' ),
                        ]
                    );
                    
						$repeater = new Repeater();
					
            
                    $repeater->add_control(
                        'item_title',
                        [
                        'label' => esc_html__( 'Title', '' ),
                        'type' => Controls_Manager::TEXT,
                        'default' => __( '', '' ),
                        ]
                    );
                    
            
                    $repeater->add_control(
                        'item_link',
                        [
                        'label' => esc_html__( 'Link', '' ),
                        'type' => Controls_Manager::TEXT,
                        'default' => __( '', '' ),
                        ]
                    );
                    

                    $this->add_control(
                    'items',
                    [
                        'label' => esc_html__( 'Repeater List', '' ),
                        'type' => Controls_Manager::REPEATER,
                        'fields' => $repeater->get_controls(),
                        'default' => [
                        [
                            'list_title' => esc_html__( 'Title #1', '' ),
                            'list_content' => esc_html__( 'Item content. Click the edit button to change this text.', '' ),
                        ],
                        [
                            'list_title' => esc_html__( 'Title #2', '' ),
                            'list_content' => esc_html__( 'Item content. Click the edit button to change this text.', '' ),
                        ],
                        ],
                    ]
                    );
                    
            
                    $this->end_controls_section();
                    
                    }
        protected function render() {
          $settings =  $this->get_settings_for_display();$titles = $settings["titles"]; ?> <div class="link-widget footer-widget">
                                <h3 class="widget-title"><?php echo $titles; ?></h3>
                                <div class="widget-content">
                                    <ul>
                                        <?php 
                                    $i = 1;
                                    foreach($settings["items"] as $item){$item_title = $item["item_title"];$item_link = $item["item_link"]; ?> <li><a href="<?php echo $item_link; ?>"><?php echo $item_title; ?></a></li> <?php } ?> 
                                    </ul>
                                </div>
                            </div> <?php 
        }
      
        protected function _content_template() {
            ?>
            
            <?php
        }
      }
    
      Plugin::instance()->widgets_manager->register_widget_type( new \Useful_Link() );
    
    