<?php
/*
  Plugin Name: kidko core
  Plugin URI: 
  Description: Helping for the SmartDataSoft theme.
  Version: 1.4
  Author: smartdatasoft
  Author URI: http://smartdatasoft.com/
  License: GPLv2 or later
  Text Domain: kidko-core
  Domain Path: /languages/
 */

/**
 * Load plugin textdomain.
 *
 * @since 1.0.0
 */
// Exit if accessed directly. // kidko // KIDKO
if (!defined('ABSPATH')) {
    exit;
}
define( 'KIDKO_PLUGIN_DIR', dirname( __FILE__ ) . '/' );
if ( ! defined( 'KIDKO_CORE_PLUGIN_URI' ) ) {
	define( 'KIDKO_CORE_PLUGIN_URI', plugin_dir_url( __FILE__ ) );
}
require_once KIDKO_PLUGIN_DIR . 'meta-box/config-meta-box.php';
require_once KIDKO_PLUGIN_DIR . 'posttype/Classedu.php';
require_once KIDKO_PLUGIN_DIR . 'posttype/event.php';
require_once KIDKO_PLUGIN_DIR . 'elementor-addons/kidko-addons.php';
use kidko\CPT\Classedu;
Classedu::register();
use kidko\CPT\Event;
Event::register();