<?php   
                    use Elementor\Utils;
                    use Elementor\Controls_Manager;
                    use Elementor\Widget_Base;
                    use Elementor\Plugin;
                    use \Elementor\Repeater;
                                        
                    class About_Us_One extends Widget_Base {
                    
                        public function get_name() {
                        return 'about_us_one';
                    }
                    
                    public function get_title() {
                        return esc_html__( 'about us one', 'plugin-domain' );
                    }
                    
                    public function get_icon() {
                        return '';
                    }
                    
                    public function get_categories() {
                        return [ 'plugin-domain' ];
                    }
                    
                        protected function _register_controls() {
                
                
                    $this->start_controls_section(
                        'general',
                        [
                        'label' => esc_html__( 'general', 'plugin-domain' ),
                        ]
                    );
                    
    
            $this->add_control(
                'title',
                [
                        'label' => esc_html__( 'Title ', 'plugin-domain' ),
                        'type' => Controls_Manager::TEXTAREA,
                        'rows' => 0,
                        'default' => __( '', 'plugin-domain' ),
                        'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),
                        
                    ]
                );
    
                $this->add_control(
                    'section_icon',
                    [
                        'label' => esc_html__('Button Hide or Show', 'plugin-domain'),
                        'type' => \Elementor\Controls_Manager::SWITCHER,
                        'label_on' => __('Show', 'plugin-domain'),
                        'label_off' => __('Hide', 'plugin-domain'),
                        'return_value' => 'yes'
                    ]
                );

            $this->add_control(
                'sub_title',
                [
                        'label' => esc_html__( 'Sub Title', 'plugin-domain' ),
                        'type' => Controls_Manager::TEXTAREA,
                        'rows' => 0,
                        'default' => __( '', 'plugin-domain' ),
                        'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),
                        
                    ]
                );
    
    
            $this->add_control(
                'content_top',
                [
                        'label' => esc_html__( 'Content Top', 'plugin-domain' ),
                        'type' => Controls_Manager::TEXTAREA,
                        'rows' => 0,
                        'default' => __( '', 'plugin-domain' ),
                        'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),
                        
                    ]
                );
    
    
            $this->add_control(
                'content_bottom',
                [
                        'label' => esc_html__( 'Content Bottom', 'plugin-domain' ),
                        'type' => Controls_Manager::TEXTAREA,
                        'rows' => 0,
                        'default' => __( '', 'plugin-domain' ),
                        'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),
                        
                    ]
                );
    
    
            $this->add_control(
                'button_text',
                [
                        'label' => esc_html__( 'Button Text ', 'plugin-domain' ),
                        'type' => Controls_Manager::TEXTAREA,
                        'rows' => 0,
                        'default' => __( '', 'plugin-domain' ),
                        'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),
                        
                    ]
                );
    
    
            $this->add_control(
                'button_url',
                [
                        'label' => esc_html__( 'Button Url', 'plugin-domain' ),
                        'type' => Controls_Manager::TEXTAREA,
                        'rows' => 0,
                        'default' => __( '', 'plugin-domain' ),
                        'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),
                        
                    ]
                );
    
                $this->add_control(
                    'img_one',
                    [
                    'label' => esc_html__( 'Img One', 'plugin-domain' ),
                    'type' => Controls_Manager::MEDIA,
                    'default' => [
                                'url' => Utils::get_placeholder_image_src(),
                            ],
                    
                    ]
                );
                
                $this->add_control(
                    'img_two',
                    [
                    'label' => esc_html__( 'Img Two', 'plugin-domain' ),
                    'type' => Controls_Manager::MEDIA,
                    'default' => [
                                'url' => Utils::get_placeholder_image_src(),
                            ],
                    
                    ]
                );
                
            
                    $this->end_controls_section();
                    
                    }
        protected function render() {
          $settings =  $this->get_settings_for_display();$title = $settings["title"];$sub_title = $settings["sub_title"];$content_top = $settings["content_top"];$content_bottom = $settings["content_bottom"];$button_text = $settings["button_text"];$button_url = $settings["button_url"];$img_one = ($settings[ "img_one"]["id"]!="")? wp_get_attachment_image_url( $settings["img_one"]["id"],"full"):$settings[ "img_one"]["url"];	if ( ! empty( $img_one) ) {
                        $this->add_render_attribute( "img_one", "src", $img_one );
                        $this->add_render_attribute( "img_one", "alt", \Elementor\Control_Media::get_image_alt( $settings["img_one"] ) );
                        $this->add_render_attribute( "img_one", "title", \Elementor\Control_Media::get_image_title( $settings["img_one"] ) );
                        $img_one_image_html = \Elementor\Group_Control_Image_Size::get_attachment_image_html( $settings, "full", "img_one" );
                        
                    }$img_one_id = $settings[ "img_one"]["id"];$img_two = ($settings[ "img_two"]["id"]!="")? wp_get_attachment_image_url( $settings["img_two"]["id"],"full"):$settings[ "img_two"]["url"];	if ( ! empty( $img_two) ) {
                        $this->add_render_attribute( "img_two", "src", $img_two );
                        $this->add_render_attribute( "img_two", "alt", \Elementor\Control_Media::get_image_alt( $settings["img_two"] ) );
                        $this->add_render_attribute( "img_two", "title", \Elementor\Control_Media::get_image_title( $settings["img_two"] ) );
                        $img_two_image_html = \Elementor\Group_Control_Image_Size::get_attachment_image_html( $settings, "full", "img_two" );
                        
                    }$img_two_id = $settings[ "img_two"]["id"];
                    $section_icon = $settings['section_icon'];
                    
                    ?> <section class="about-section">
<?php if( $section_icon == 'yes' ) : ?>
  <div class="anim-icon">
    <div class="icon icon-1 float-bob-x"></div>
    <div class="icon icon-2 wow zoomIn" data-wow-delay="00ms" data-wow-duration="1500ms"></div>
    <div class="icon icon-3"></div>
  </div>
<?php endif; ?>
  <div class="container">
    <div class="row">
      <div class="col-lg-6 col-md-12 col-sm-12 image-column">
        <div class="image-box wow fadeInLeft" data-wow-delay="0ms" data-wow-duration="1500ms">
          <figure class="image image-1"><img src="<?php echo $img_one; ?>" alt=""></figure>
          <figure class="image image-2"><img src="<?php echo $img_two; ?>" alt=""></figure>
        </div>
      </div>
      <div class="col-lg-6 col-md-12 col-sm-12 content-column">
        <div class="content-box">
          <div class="sec-title style-two">
            <h5><?php echo $title; ?></h5>
            <h1><?php echo $sub_title; ?></h1>
          </div>
          <div class="bold-text"><?php echo $content_top; ?></div>
          <div class="text">
            <p><?php echo $content_bottom; ?></p>
          </div>
          <div class="btn-box"><a href="<?php echo $button_url; ?>" class="theme-btn"><?php echo $button_text; ?></a></div>
        </div>
      </div>
    </div>
  </div>
</section> <?php 
        }
      
        protected function _content_template() {
          
        }
      }
    
      Plugin::instance()->widgets_manager->register_widget_type( new \About_Us_One() );
    
    