<?php   
                    use Elementor\Utils;
                    use Elementor\Controls_Manager;
                    use Elementor\Widget_Base;
                    use Elementor\Plugin;
                    use \Elementor\Repeater;
                                        
                    class Kidko_Activities_Two extends Widget_Base {
                    
                        public function get_name() {
                        return 'kidko_activities_two';
                    }
                    
                    public function get_title() {
                        return esc_html__( 'kidko activities two', 'plugin-domain' );
                    }
                    
                    public function get_icon() {
                        return '';
                    }
                    
                    public function get_categories() {
                        return [ 'plugin-domain' ];
                    }
                    
                        protected function _register_controls() {
                
                
                    $this->start_controls_section(
                        'general',
                        [
                        'label' => esc_html__( 'general', 'plugin-domain' ),
                        ]
                    );
                    
    
            $this->add_control(
                'section_title',
                [
                        'label' => esc_html__( 'Section Title', 'plugin-domain' ),
                        'type' => Controls_Manager::TEXTAREA,
                        'rows' => 0,
                        'default' => __( '', 'plugin-domain' ),
                        'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),
                        
                    ]
                );
    
    
            $this->add_control(
                'sub_title',
                [
                        'label' => esc_html__( 'Sub Title', 'plugin-domain' ),
                        'type' => Controls_Manager::TEXTAREA,
                        'rows' => 0,
                        'default' => __( '', 'plugin-domain' ),
                        'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),
                        
                    ]
                );
    
    
            $this->add_control(
                'content',
                [
                        'label' => esc_html__( 'Content', 'plugin-domain' ),
                        'type' => Controls_Manager::TEXTAREA,
                        'rows' => 0,
                        'default' => __( '', 'plugin-domain' ),
                        'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),
                        
                    ]
                );
    
                $this->add_control(
                    'section_right_image',
                    [
                    'label' => esc_html__( 'Section Right Image', 'plugin-domain' ),
                    'type' => Controls_Manager::MEDIA,
                    'default' => [
                                'url' => Utils::get_placeholder_image_src(),
                            ],
                    
                    ]
                );
                
            
                    $this->end_controls_section();
                    
                    
                
                    $this->start_controls_section(
                        'item',
                        [
                        'label' => esc_html__( 'item', 'plugin-domain' ),
                        ]
                    );
                    
						$repeater = new Repeater();
					
    
            $repeater->add_control(
                'item_title',
                [
                        'label' => esc_html__( 'Title', 'plugin-domain' ),
                        'type' => Controls_Manager::TEXTAREA,
                        'rows' => 0,
                        'default' => __( '', 'plugin-domain' ),
                        'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),
                        
                    ]
                );
    
    
            $repeater->add_control(
                'item_content',
                [
                        'label' => esc_html__( 'Content', 'plugin-domain' ),
                        'type' => Controls_Manager::TEXTAREA,
                        'rows' => 0,
                        'default' => __( '', 'plugin-domain' ),
                        'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),
                        
                    ]
                );
    
    
            $repeater->add_control(
                'item_link_title',
                [
                        'label' => esc_html__( 'Link Title', 'plugin-domain' ),
                        'type' => Controls_Manager::TEXTAREA,
                        'rows' => 0,
                        'default' => __( '', 'plugin-domain' ),
                        'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),
                        
                    ]
                );
    
            
                $repeater->add_control(
                    'item_icon',
                    [
                    'label' => esc_html__( 'Icon', 'plugin-domain' ),
                    'type' => Controls_Manager::ICONS,                        
                    ]
                );
                
    
            $repeater->add_control(
                'item_animation_name',
                [
                        'label' => esc_html__( 'Animation Name', 'plugin-domain' ),
                        'type' => Controls_Manager::TEXTAREA,
                        'rows' => 0,
                        'default' => __( '', 'plugin-domain' ),
                        'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),
                        
                    ]
                );
    
    
            $repeater->add_control(
                'item_animation_duration',
                [
                        'label' => esc_html__( 'Animation Duration', 'plugin-domain' ),
                        'type' => Controls_Manager::TEXTAREA,
                        'rows' => 0,
                        'default' => __( '', 'plugin-domain' ),
                        'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),
                        
                    ]
                );
    
    
            $repeater->add_control(
                'item_animation_delay',
                [
                        'label' => esc_html__( 'Animation Delay', 'plugin-domain' ),
                        'type' => Controls_Manager::TEXTAREA,
                        'rows' => 0,
                        'default' => __( '', 'plugin-domain' ),
                        'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),
                        
                    ]
                );
    

                    $this->add_control(
                    'items',
                    [
                        'label' => esc_html__( 'Repeater List', 'plugin-domain' ),
                        'type' => Controls_Manager::REPEATER,
                        'fields' => $repeater->get_controls(),
                        'default' => [
                        [
                            'list_title' => esc_html__( 'Title #1', 'plugin-domain' ),
                            'list_content' => esc_html__( 'Item content. Click the edit button to change this text.', 'plugin-domain' ),
                        ],
                        [
                            'list_title' => esc_html__( 'Title #2', 'plugin-domain' ),
                            'list_content' => esc_html__( 'Item content. Click the edit button to change this text.', 'plugin-domain' ),
                        ],
                        ],
                    ]
                    );
                    
            
                    $this->end_controls_section();
                    
                    }
        protected function render() {
          $settings =  $this->get_settings_for_display();$section_title = $settings["section_title"];$sub_title = $settings["sub_title"];$content = $settings["content"];$section_right_image = ($settings[ "section_right_image"]["id"]!="")? wp_get_attachment_image_url( $settings["section_right_image"]["id"],"full"):$settings[ "section_right_image"]["url"];	if ( ! empty( $section_right_image) ) {
                        $this->add_render_attribute( "section_right_image", "src", $section_right_image );
                        $this->add_render_attribute( "section_right_image", "alt", \Elementor\Control_Media::get_image_alt( $settings["section_right_image"] ) );
                        $this->add_render_attribute( "section_right_image", "title", \Elementor\Control_Media::get_image_title( $settings["section_right_image"] ) );
                        $section_right_image_image_html = \Elementor\Group_Control_Image_Size::get_attachment_image_html( $settings, "full", "section_right_image" );
                        
                    }$section_right_image_id = $settings[ "section_right_image"]["id"]; ?> <section class="activities-section style-two">
        <div class="container">
            <div class="row">
                <div class="col-lg-6 col-md-12 col-sm-12 image-column">
                    <div class="image-box clearfix">
                        <figure class="image"><img src="<?php echo $section_right_image; ?>" alt=""></figure>
                    </div>
                </div>
                <div class="col-lg-6 col-md-12 col-sm-12 content-column">
                    <div class="content-box">
                        <div class="title-box">
                            <div class="sec-title style-two">
                                <h5><?php echo $section_title; ?></h5>
                                <h1><?php echo $sub_title; ?></h1>
                            </div>
                            <div class="text"><?php echo $content; ?></div>
                        </div>
                        <div class="inner-box">
                            <div class="row">
                                 <?php 
                                    $i = 1;
                                    foreach($settings["items"] as $item){$item_title = $item["item_title"];$item_content = $item["item_content"];$item_link_title = $item["item_link_title"];$item_icon = $item["item_icon"];$item_animation_name = $item["item_animation_name"];$item_animation_duration = $item["item_animation_duration"];$item_animation_delay = $item["item_animation_delay"]; ?> <div class="col-lg-6 col-md-6 col-sm-12 column">
                                    <div class="single-item wow <?php echo $item_animation_name; ?>" data-wow-delay="<?php echo $item_animation_delay; ?>" data-wow-duration="<?php echo $item_animation_duration; ?>">
                                        <div class="icon-box"><?php \Elementor\Icons_Manager::render_icon( ( $item_icon), array( 'aria-hidden' => 'true' ) ); ?></div>
                                        <h3><a href="<?php echo $item_link_title; ?>"><?php echo $item_title; ?></a></h3>
                                        <div class="text"><?php echo $item_content; ?></div>
                                    </div>
                                </div> <?php } ?> 
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section> <?php 
        }
      
        protected function _content_template() {
          
        }
      }
    
      Plugin::instance()->widgets_manager->register_widget_type( new \Kidko_Activities_Two() );
    
    