<?php   
                    use Elementor\Utils;
                    use Elementor\Controls_Manager;
                    use Elementor\Widget_Base;
                    use Elementor\Plugin;
                    use \Elementor\Repeater;
                                        
                    class Contact_Single_Form extends Widget_Base {
                    
                        public function get_name() {
                        return 'contact_single_form';
                    }
                    
                    public function get_title() {
                        return esc_html__( 'contact single form', '' );
                    }
                    
                    public function get_icon() {
                        return 'fa fa-adjust';
                    }
                    
                    public function get_categories() {
                        return [ '' ];
                    }
                    
                        protected function _register_controls() {
                
                
                    $this->start_controls_section(
                        'general',
                        [
                        'label' => esc_html__( 'general', '' ),
                        ]
                    );
                    
    
            $this->add_control(
                'title',
                [
                        'label' => esc_html__( 'Title', '' ),
                        'type' => Controls_Manager::TEXTAREA,
                        'rows' => 0,
                        'default' => __( '', 'plugin-domain' ),
                        'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),
                        
                    ]
                );
    
    
            $this->add_control(
                'sub_title',
                [
                        'label' => esc_html__( 'Sub Title', '' ),
                        'type' => Controls_Manager::TEXTAREA,
                        'rows' => 0,
                        'default' => __( '', 'plugin-domain' ),
                        'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),
                        
                    ]
                );
    
    
            $this->add_control(
                'form_short_code',
                [
                        'label' => esc_html__( 'Form Short Code', '' ),
                        'type' => Controls_Manager::TEXTAREA,
                        'rows' => 0,
                        'default' => __( '', 'plugin-domain' ),
                        'placeholder' => esc_html__( 'Type your description here', 'plugin-domain' ),
                        
                    ]
                );
    
            
                    $this->end_controls_section();
                    
                    }
        protected function render() {
          $settings =  $this->get_settings_for_display();$title = $settings["title"];$sub_title = $settings["sub_title"];$form_short_code = $settings["form_short_code"]; ?> <section class="contact-form-section sec-pad">
        <div class="container">
            <div class="sec-title centred">
                <h5><?php echo $title; ?></h5>
                <h1><?php echo $sub_title; ?></h1>
            </div>
            <div class="row">
                <div class="col-lg-8 col-md-12 col-sm-12 offset-lg-2 form-column">
                   <?php echo do_shortcode( $form_short_code ); ?>
                </div>
            </div>
        </div>
    </section> <?php 
        }
      
        protected function _content_template() {
            ?>
            
            <?php
        }
      }
    
      Plugin::instance()->widgets_manager->register_widget_type( new \Contact_Single_Form() );
    
    