<?php   
                    use Elementor\Utils;
                    use Elementor\Controls_Manager;
                    use Elementor\Widget_Base;
                    use Elementor\Plugin;
                    use \Elementor\Repeater;
                                        
                    class MainFfoter extends Widget_Base {
                    
                        public function get_name() {
                        return 'main_ffoter';
                    }
                    
                    public function get_title() {
                        return esc_html__( 'main-ffoter', '' );
                    }
                    
                    public function get_icon() {
                        return '';
                    }
                    
                    public function get_categories() {
                        return [ '' ];
                    }
                    
                        protected function _register_controls() {
                
                
                    $this->start_controls_section(
                        'item',
                        [
                        'label' => esc_html__( 'item', '' ),
                        ]
                    );
                    
						$repeater = new Repeater();
					
            
                    $repeater->add_control(
                        'item_title',
                        array(
                            'label'   => esc_html__( 'price template', 'plugin-domain' ),
                            'type'    => \Elementor\Controls_Manager::SELECT,
                            'default' => 'no',
                            'options' => kidko_core_elementor_library(),
                        )
                    );
                    

                    $this->add_control(
                    'items',
                    [
                        'label' => esc_html__( 'Repeater List', '' ),
                        'type' => Controls_Manager::REPEATER,
                        'fields' => $repeater->get_controls(),
                        'default' => [
                        [
                            'list_title' => esc_html__( 'Title #1', '' ),
                            'list_content' => esc_html__( 'Item content. Click the edit button to change this text.', '' ),
                        ],
                        [
                            'list_title' => esc_html__( 'Title #2', '' ),
                            'list_content' => esc_html__( 'Item content. Click the edit button to change this text.', '' ),
                        ],
                        ],
                    ]
                    );
                    
            
                    $this->end_controls_section();
                    
                    }
        protected function render() {
          $settings =  $this->get_settings_for_display(); ?> <footer class="main-footer">
        <div class="footer-top">
            <div class="parallax-scene parallax-scene-2 parallax-icon">
                <span data-depth="0.40" class="parallax-layer icon icon-1"></span>
                <span data-depth="0.50" class="parallax-layer icon icon-2"></span>
                <span data-depth="0.30" class="parallax-layer icon icon-3"></span>
                <span data-depth="0.40" class="parallax-layer icon icon-4"></span>
                <span data-depth="0.50" class="parallax-layer icon icon-5"></span>
                <span data-depth="0.30" class="parallax-layer icon icon-6"></span>
                <span data-depth="0.40" class="parallax-layer icon icon-7"></span>
            </div>
            <div class="container">
                <div class="widget-section">
                    <div class="row">
					
                       <?php 
                                    $i = 1;
                                    foreach($settings["items"] as $item){$item_title = $item["item_title"]; ?> <div class="col-lg-3 col-md-6 col-sm-12 footer-column">



<?php
												$detox_price_elementor = \Elementor\Plugin::instance();
												echo $detox_price_elementor->frontend->get_builder_content($item_title);
											?>






                        </div> <?php } ?> 
						
                    </div>
                </div>
            </div>
        </div>
        
    </footer> <?php 
        }
      
        protected function _content_template() {
            ?>
            
            <?php
        }
      }
    
      Plugin::instance()->widgets_manager->register_widget_type( new \MainFfoter() );
    
    